> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhikoo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Suggestion Pages

> Paginated list of indexed pages affected by a health suggestion.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/public/health/suggestions/{suggestion_id}/pages
openapi: 3.1.0
info:
  title: Hikoo REST API
  description: >-
    Programmatic access to your Hikoo data: citations, prompts, competitors,
    audits, health and more. Authenticate with a personal API key
    (`Authorization: Bearer <key>`) created from the dashboard settings.
  version: 1.0.0
servers:
  - url: https://api.tryhikoo.com
security:
  - apiKey: []
paths:
  /api/v1/public/health/suggestions/{suggestion_id}/pages:
    get:
      tags:
        - Health
      summary: Get Suggestion Pages
      description: Paginated list of indexed pages affected by a health suggestion.
      operationId: >-
        get_suggestion_pages_api_v1_public_health_suggestions__suggestion_id__pages_get
      parameters:
        - name: suggestion_id
          in: path
          required: true
          schema:
            type: integer
            title: Suggestion Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Per Page
        - name: website_id
          in: query
          required: true
          schema:
            type: integer
            description: Target website id
            title: Website Id
          description: Target website id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Bearer <api_key>
            title: Authorization
          description: Bearer <api_key>
        - name: X-MCP-Secret
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Mcp-Secret
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuggestionPagesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SuggestionPagesResponse:
      properties:
        suggestion:
          $ref: '#/components/schemas/SuggestionResponse'
        pages:
          items:
            $ref: '#/components/schemas/PageItem'
          type: array
          title: Pages
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        per_page:
          type: integer
          title: Per Page
      type: object
      required:
        - suggestion
        - pages
        - total
        - page
        - per_page
      title: SuggestionPagesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SuggestionResponse:
      properties:
        id:
          type: integer
          title: Id
        suggestion_type:
          type: string
          title: Suggestion Type
        suggestion_category:
          type: string
          title: Suggestion Category
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        priority:
          type: string
          title: Priority
        affected_pages_count:
          type: integer
          title: Affected Pages Count
        example_urls:
          items:
            type: string
          type: array
          title: Example Urls
        message:
          type: string
          title: Message
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        dismissed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Dismissed At
      type: object
      required:
        - id
        - suggestion_type
        - suggestion_category
        - category
        - priority
        - affected_pages_count
        - example_urls
        - message
        - description
        - dismissed_at
      title: SuggestionResponse
    PageItem:
      properties:
        id:
          type: integer
          title: Id
        url:
          type: string
          title: Url
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        health_check_passed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Health Check Passed
        error_count:
          type: integer
          title: Error Count
        warning_count:
          type: integer
          title: Warning Count
        errors:
          items:
            type: string
          type: array
          title: Errors
        last_indexed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Indexed At
      type: object
      required:
        - id
        - url
        - title
        - category
        - language
        - health_check_passed
        - error_count
        - warning_count
        - errors
        - last_indexed_at
      title: PageItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Personal API key created in the dashboard (Settings > API keys).

````